AOZ Studio Beta - Bug #338

Sam Stop has stopped working
04/10/2020 07:55 PM - David Baldwin

Status: Closed Start date: 04/10/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8.1

Affected version: 0.9.8

Description

Sam stop was working in 0.9.7, and now it doesn't in 0.9.8.

It compiles ok, just has no effect on playing samples, either as 'Sam Stop' or 'Sam Stop integer'

History

#1 - 04/14/2020 09:25 AM - Francois Lionet
- Status changed from New to Feedback

- Target version set to 0.9.8.1

Please re-test with new version, it worked here.

#2 - 04/14/2020 04:25 PM - Phil Bell

| have found the problem in file vi1_0_sounds.js
Voice.prototype.stopSound = function( args )

You have a number of references to this.aoz.EASY

| think these should be this.a0z.ASSET

| have changed these in my local file and the function now works :-)

#3 - 08/17/2020 07:35 PM - David Baldwin
- Status changed from Feedback to Closed

#4 - 06/25/2021 09:38 AM - malcolm harvey

This has broken again in Beta 1.0.0 V8, Sam stop x has no effect.
